#include <stdint.h>
#include "capextend_hw.h"

void system_init( void );

// HeartRate 3 GPIO
sbit RST at RC1_bit;
sbit RST_DIR at TRISC1_bit;

//Global Declatations
uint8_t address     = 0x2B;
uint8_t my_buffer   = 0;
uint8_t int_flag    = 0;

void main()
{
     //Local Decalartions
     uint8_t msb        = 0;
     uint8_t lsb        = 0;
     uint8_t int_source = 0;
     uint8_t button     = 0;
     char uart_text[20] = { 0 };
     uint8_t count      = 0;

     system_init();
     Delay_ms(100);

         msb = capextend_spm_get_i2c_address();

     while(1)
     {
          msb = capextend_read_msb_buttons();
          lsb = capextend_read_lsb_buttons();
          LATD = ( ( msb << 8 ) | lsb );
     }  //While

}  //Main

void system_init( void )
{

     TRISD = 0;             // Initialize PORTG as output
     LATD = 0;              // Set PORTA to zero

         //GPIOs
     RST_DIR = 0;

     //Toggle Reset Pin
     RST = 0;
     Delay_ms(50);
     RST = 1;
     Delay_ms(200);

     //Initialize UART
     UART2_Init( 9600 );
     Delay_ms(100);
     UART2_Write_Text( "UART Initialized\r\n" );

       //I2C Initialize
         I2C2_Init( 100000 );
     UART2_Write_Text( "I2C Initialized\r\n" );

     //Initialize Cap Extend
     capextend_init( address );
     UART2_Write_Text( "Cap Extend Initialized\r\n" );

}
